Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xml.serialize
Interface DOMSerializer

All Known Implementing Classes:
  BaseMarkupSerializer, HTMLSerializer, TextSerializer, XHTMLSerializer, XMLSerializer

Deprecated. 9.2.0.0 Replaced by org.apache.xml.serialize.DOMSerializer.

    public interface DOMSerializer

Interface for a DOM serializer implementation.

Method Summary
`void` | `serialize(Document doc)` Deprecated. Serializes the DOM document.
`void` | `serialize(DocumentFragment frag)` Deprecated. Serializes the DOM document fragment.
`void` | `serialize(Element elem)` Deprecated. Serialized the DOM element.

Method Detail

### serialize

    void serialize(Element elem)
                   throws IOException

  Deprecated.
  Serialized the DOM element. Throws an exception only if an I/O exception occured while serializing.

  Parameters:
    `elem` - The element to serialize
  Throws:
    `IOException` - An I/O exception occured while serializing

### serialize

    void serialize(Document doc)
                   throws IOException

  Deprecated.
  Serializes the DOM document. Throws an exception only if an I/O exception occured while serializing.

  Parameters:
    `doc` - The document to serialize
  Throws:
    `IOException` - An I/O exception occured while serializing

### serialize

    void serialize(DocumentFragment frag)
                   throws IOException

  Deprecated.
  Serializes the DOM document fragment. Throws an exception only if an I/O exception occured while serializing.

  Parameters:
    `frag` - The document fragment to serialize
  Throws:
    `IOException` - An I/O exception occured while serializing

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD